# WOK
TKWOK
MS

# MS_DataMapIteratorOfMapOfType Class Reference

`#include <MS_DataMapIteratorOfMapOfType.hxx>`

Inheritance diagram for MS_DataMapIteratorOfMapOfType:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | MS_DataMapIteratorOfMapOfType ()
Standard_EXPORT | MS_DataMapIteratorOfMapOfType (const MS_MapOfType &aMap)
Standard_EXPORT void | Initialize (const MS_MapOfType &aMap)
Standard_EXPORT const Handle_TCollection_HAsciiString & | Key () const
Standard_EXPORT const Handle_MS_Type & | Value () const
Standard_EXPORT Standard_Integer | Hashcode () const

## Constructor & Destructor Documentation

Standard_EXPORT MS_DataMapIteratorOfMapOfType::MS_DataMapIteratorOfMapOfType | ( |  | ) |

Standard_EXPORT MS_DataMapIteratorOfMapOfType::MS_DataMapIteratorOfMapOfType | ( | const MS_MapOfType & | aMap | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer MS_DataMapIteratorOfMapOfType::Hashcode | ( |  | ) | const

Standard_EXPORT void MS_DataMapIteratorOfMapOfType::Initialize | ( | const MS_MapOfType & | aMap | ) |

Standard_EXPORT const Handle_TCollection_HAsciiString& MS_DataMapIteratorOfMapOfType::Key | ( |  | ) | const

void MS_DataMapIteratorOfMapOfType::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from WOKTools_BasicMapIterator.

void* MS_DataMapIteratorOfMapOfType::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from WOKTools_BasicMapIterator.

void* MS_DataMapIteratorOfMapOfType::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from WOKTools_BasicMapIterator.

Standard_EXPORT const Handle_MS_Type& MS_DataMapIteratorOfMapOfType::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- MS_DataMapIteratorOfMapOfType.hxx